Subject: Re: [PATCH 9/24] make atomic_read() behave consistently on ia64

From: Chris Snook <[email-masked]>
Date: Mon, 13 Aug 2007 02:30:09 -0400

Paul Mackerras wrote:
> Chris Snook writes:
> 
>> I'll do this for the whole patchset.  Stay tuned for the resubmit.
> 
> Could you incorporate Segher's patch to turn atomic_{read,set} into
> asm on powerpc?  Segher claims that using asm is really the only
> reliable way to ensure that gcc does what we want, and he seems to
> have a point.
> 
> Paul.

I haven't seen a patch yet.  I'm going to resubmit with inline volatile-cast 
atomic[64]_[read|set] on all architectures as a reference point, and if anyone 
wants to go and implement some of them in assembly, that's between them and the 
relevant arch maintainers.  I have no problem with (someone else) doing it in 
assembly.  I just don't think it's necessary and won't let it hold up the effort 
to get consistent behavior on all architectures.

	-- Chris